> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prelude.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke sessions

> Revoke sessions for the authenticated user. Use the `target` query parameter to specify which sessions to revoke.



## OpenAPI

````yaml post /v1/session/me/revoke
openapi: 3.1.1
info:
  title: Prelude Session Frontend API
  version: 0.0.1
  description: The Prelude Frontend API for Session Management
  contact:
    email: support@prelude.so
servers:
  - url: https://{appId}.session.prelude.dev
    description: Production server
    variables:
      appId:
        default: changeme
        description: The appID
security: []
tags:
  - name: Login OTP
    description: Login and step-up via OTP (phone or email)
  - name: Login Email Password
    description: Login via email and password
  - name: Login OAuth
    description: Login via OAuth providers
  - name: Login Finalize
    description: Finalize a login flow and create a session
  - name: Login Migration
    description: Migrate sessions from a legacy authentication system
  - name: Session
    description: Session refresh and revocation
  - name: Session Management
    description: Authenticated session and identifier management
  - name: Step-Up
    description: Step-up authentication flow
  - name: Well-Known
    description: Public key discovery endpoints
  - name: Password
    description: Password compliancy and change password
paths:
  /v1/session/me/revoke:
    post:
      tags:
        - Session Management
      summary: Revoke sessions
      description: >-
        Revoke sessions for the authenticated user. Use the `target` query
        parameter to specify which sessions to revoke.
      operationId: revokeSessions
      parameters:
        - name: target
          in: query
          required: true
          schema:
            type: string
            enum:
              - all
              - others
              - mine
              - session
          description: >
            Which sessions to revoke: - `all`: revoke all sessions including the
            current one - `others`: revoke all sessions except the current one -
            `mine`: revoke only the current session - `session`: revoke a
            specific session (requires `session_id` parameter)
        - name: session_id
          in: query
          schema:
            type: string
            examples:
              - ses_01jqebhswje1ka1z7ahr9rfsgt
          description: Required when target is "session". The ID of the session to revoke.
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '500':
          description: Internal Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalError'
      security:
        - accessTokenAuth: []
components:
  schemas:
    BadRequestError:
      type: object
      properties:
        code:
          type: string
          enum:
            - bad_request
        type:
          type: string
          enum:
            - bad_request
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          enum:
            - unauthorized
        type:
          type: string
          enum:
            - unauthorized
    InternalError:
      type: object
      properties:
        code:
          type: string
          enum:
            - internal
        type:
          type: string
          enum:
            - internal
  securitySchemes:
    accessTokenAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access token obtained from session refresh

````